Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.itemgenerator.item
Class AttributeItem

    java.lang.Object
      de.jsystems.framework.common.Item
          de.jsystems.framework.tree.TreeItem
              de.jsystems.itemgenerator.item.AttributeItem

All Implemented Interfaces:
  MutableTreeNode, Serializable, TreeNode

public class AttributeItem
extends TreeItem

Item fuer ein Attribut eines Items.

Version:
  1.0
  Copyright by Jens Homm 2000 - 2004
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Field Summary

Fields inherited from class de.jsystems.framework.tree.TreeItem
`allowsChildren, children, parent, userObject`

Fields inherited from class de.jsystems.framework.common.Item
`DISABLE, DISABLE_MUSSFELD, INVISIBLE, INVISIBLE_MUSSFELD, MUSSFELD, STANDARD`

Constructor Summary
`AttributeItem(String name)` Erzeugt ein neues Attribut fuer ein Item.

Method Summary
`String` | `getAttributComment()` Gibt den Kommentar fuer das Attribut zurueck.
`String` | `getGetterComment()` Gibt den Kommentar fuer die Gettermethode zurueck.
`AttributeVisibility` | `getGetterVisibility()` Gibt die Sichtbarkeit fuer die Gettermethode zurueck.
`String` | `getSetterComment()` Gibt den Kommentar fuer die Settermethode zurueck.
`AttributeVisibility` | `getSetterVisibility()` Gibt die Sichtbarkeit der Settermethode zureck.
`String` | `getTyp()` Gibt den Typ des Attributes zurueck.
`void` | `setAttributComment(String attributComment)` Setzt den Attributkommentar.
`void` | `setGetterComment(String getterComment)` Setzt den Kommentar fuer die Gettermethode des Attributes.
`void` | `setGetterVisibility(AttributeVisibility getterVisibility)` Setzt die Sichtbarkeit der Gettermethode fuer das Attribut.
`void` | `setSetterComment(String setterComment)` Setzt den Kommentar fuer die Settermethode des Attributes.
`void` | `setSetterVisibility(AttributeVisibility setterVisibility)` Setzt die Sichtbarkeit fuer die Settermethode des Attributes.
`void` | `setTyp(String typ)` Setzt den Typ fuer das Attribut.

Methods inherited from class de.jsystems.framework.tree.TreeItem
`children, containsRekurChild, getAllowsChildren, getChildAt, getChildCount, getIndex, getParent, getRoot, getUserObject, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isRoot, remove, remove, removeFromParent, setParent, setUserObject, toString`

Methods inherited from class de.jsystems.framework.common.Item
`deepCopy, equals, getItemID, getName, isAttributeEditable, isAttributeMussfeld, isAttributeVisible, registerAttribute, setName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeItem

    public AttributeItem(String name)

  Erzeugt ein neues Attribut fuer ein Item. Dabei wird dieses Attribut dann dem uebergebenen Item als Children hinzugefuegt.

Parameters:
  `name` - Der Name des Attributes.

Method Detail

### getAttributComment

    public String getAttributComment()

  Gibt den Kommentar fuer das Attribut zurueck.

  Returns:
    Der Kommentar fuer das Attribut.

### getGetterComment

    public String getGetterComment()

  Gibt den Kommentar fuer die Gettermethode zurueck.

  Returns:
    Der Kommentar fuer die Gettermethode.

### getGetterVisibility

    public AttributeVisibility getGetterVisibility()

  Gibt die Sichtbarkeit fuer die Gettermethode zurueck.

  Returns:
    Die Sichtbarkeit fuer die Gettermethode.

### getSetterComment

    public String getSetterComment()

  Gibt den Kommentar fuer die Settermethode zurueck.

  Returns:
    Der Kommentar fuer die Settermethode.

### getSetterVisibility

    public AttributeVisibility getSetterVisibility()

  Gibt die Sichtbarkeit der Settermethode zureck.

  Returns:
    Die Sichtbarkeit der Settermethode.

### getTyp

    public String getTyp()

  Gibt den Typ des Attributes zurueck.

  Returns:
    Der Typ des Attributes.

### setAttributComment

    public void setAttributComment(String attributComment)

  Setzt den Attributkommentar.

  Parameters:
    `attributComment` - Der Kommentar fuer das Attribut.

### setGetterComment

    public void setGetterComment(String getterComment)

  Setzt den Kommentar fuer die Gettermethode des Attributes.

  Parameters:
    `getterComment` - Der Kommentar fuer die Gettermethode.

### setGetterVisibility

    public void setGetterVisibility(AttributeVisibility getterVisibility)

  Setzt die Sichtbarkeit der Gettermethode fuer das Attribut.

  Parameters:
    `getterVisibility` - Die Sichtbarkeit der Gettermethode.

### setSetterComment

    public void setSetterComment(String setterComment)

  Setzt den Kommentar fuer die Settermethode des Attributes.

  Parameters:
    `setterComment` - Der Kommentar fuer die Settermethode.

### setSetterVisibility

    public void setSetterVisibility(AttributeVisibility setterVisibility)

  Setzt die Sichtbarkeit fuer die Settermethode des Attributes.

  Parameters:
    `setterVisibility` - Die Sichtbarkeit fuer die Settermethode.

### setTyp

    public void setTyp(String typ)

  Setzt den Typ fuer das Attribut.

  Parameters:
    `typ` - Der Typ fuer das Attribut.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD